Subject: form I-181

From: [email-masked] (Mi Mi)
Date: Tue, 5 Apr 94 17:26:47 CDT

[email-masked] wrote:

/ Can anybody explain this?
/
/ We all were told that there are no visa numbers available. However, we are
/ receiving the information of further approvals as follows. What's going on?
/
/
/ >>Today, my wife went to the INS office in San Jose. After presenting the
/ >>form I-181 which only tells her that the processing of the application has
/ >>been completed, she had her passport stamped. So, if anyone has received
/ >>form I-181 from INS, this is for your information. Good Luck!  Liu
/
/ March 30   

Well, lads-l serves as an information exchange network, it is all operated
by volunteers to the best of their knowledge, willingness to share, and good
will. Therefore, all the services are provided as "it is", without any 
warranty. This is just a reminder.

Best Wishes,

Mi Mi Sr.